- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherVariableOption Class Reference

the OtherVariableOption class. More...

`#include <OSOption.h>`

Collaboration diagram for OtherVariableOption:

[legend]
List of all members.

## Public Member Functions
| OtherVariableOption ()
| Default constructor.
| ~OtherVariableOption ()
| Class destructor.
bool | IsEqual (OtherVariableOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setVar (int numberOfVar, OtherVarOption **var)
| A function to set an array of elements.
bool | addVar (int idx, std::string value, std::string lbValue, std::string ubValue)
| A function to add a element.
## Public Attributes
int | numberOfVar
| number of child elements
int | numberOfEnumerations
| number of <enumeration> child elements
std::string | name
| name of the option
std::string | value
| value of the option
std::string | solver
| name of the solver to which this option applies
std::string | category
| name of the category into which this option falls
std::string | type
| type of the option value (integer, double, boolean, string)
std::string | description
| description of the option
OtherVarOption ** | var
| array of option values
OtherOptionEnumeration ** | enumeration

## Detailed Description

the OtherVariableOption class.

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 1712 of file OSOption.h.

## Constructor & Destructor Documentation

OtherVariableOption::OtherVariableOption | ( |  | ) |

Default constructor.

Definition at line 672 of file OSOption.cpp.

References enumeration, and var.

OtherVariableOption::~OtherVariableOption | ( |  | ) |

Class destructor.

Definition at line 689 of file OSOption.cpp.

References enumeration, numberOfEnumerations, numberOfVar, and var.

## Member Function Documentation

bool OtherVariableOption::IsEqual | ( | OtherVariableOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 9379 of file OSOption.cpp.

References category, description, enumeration, name, numberOfEnumerations, numberOfVar, solver, type, value, and var.

bool OtherVariableOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10823 of file OSOption.cpp.

References category, description, enumeration, name, numberOfEnumerations, numberOfVar, OSRand(), OtherOptionEnumeration::setRandom(), OtherVarOption::setRandom(), solver, type, value, and var.

Referenced by VariableOption::setRandom().

bool OtherVariableOption::setVar | ( | int | numberOfVar,
|  | OtherVarOption ** | var |
| ) |  |  |

A function to set an array of elements.

Parameters:

  | numberOfVar,: | number of elements to be set
  | var,: | the array of elements that are to be set

Definition at line 5043 of file OSOption.cpp.

References ErrorClass::errormsg, and var.

bool OtherVariableOption::addVar | ( | int | idx,
|  | std::string | value,
|  | std::string | lbValue,
|  | std::string | ubValue |
| ) |  |  |

A function to add a element.

Parameters:

  | idx,: | the index of the variable
  | value,: | the value associated with this variable
  | lbValue,: | a lower bound associated with this variable
  | ubValue,: | an upper bound associated with this variable

Definition at line 5077 of file OSOption.cpp.

References ErrorClass::errormsg, OtherVarOption::idx, OtherVarOption::lbValue, numberOfVar, OtherVarOption::ubValue, OtherVarOption::value, and var.

## Member Data Documentation

int OtherVariableOption::numberOfVar

number of child elements

Definition at line 1716 of file OSOption.h.

Referenced by VariableOption::addOther(), addVar(), IsEqual(), VariableOption::setOther(), OSOption::setOtherVariableOptionAttributes(), OSOption::setOtherVariableOptionVar(), setRandom(), and ~OtherVariableOption().

int OtherVariableOption::numberOfEnumerations

number of <enumeration> child elements

Definition at line 1719 of file OSOption.h.

Referenced by VariableOption::addOther(), IsEqual(), VariableOption::setOther(), OSOption::setOtherOptionEnumeration(), OSOption::setOtherVariableOptionAttributes(), setRandom(), and ~OtherVariableOption().

std::string OtherVariableOption::name

name of the option

Definition at line 1722 of file OSOption.h.

Referenced by VariableOption::addOther(), IsEqual(), VariableOption::setOther(), OSOption::setOtherVariableOptionAttributes(), and setRandom().

std::string OtherVariableOption::value

value of the option

Definition at line 1725 of file OSOption.h.

Referenced by VariableOption::addOther(), IsEqual(), VariableOption::setOther(), OSOption::setOtherVariableOptionAttributes(), and setRandom().

std::string OtherVariableOption::solver

name of the solver to which this option applies

Definition at line 1728 of file OSOption.h.

Referenced by VariableOption::addOther(), IsEqual(), VariableOption::setOther(), OSOption::setOtherVariableOptionAttributes(), and setRandom().

std::string OtherVariableOption::category

name of the category into which this option falls

Definition at line 1731 of file OSOption.h.

Referenced by VariableOption::addOther(), IsEqual(), VariableOption::setOther(), OSOption::setOtherVariableOptionAttributes(), and setRandom().

std::string OtherVariableOption::type

type of the option value (integer, double, boolean, string)

Definition at line 1734 of file OSOption.h.

Referenced by VariableOption::addOther(), IsEqual(), VariableOption::setOther(), OSOption::setOtherVariableOptionAttributes(), and setRandom().

std::string OtherVariableOption::description

description of the option

Definition at line 1737 of file OSOption.h.

Referenced by VariableOption::addOther(), IsEqual(), VariableOption::setOther(), OSOption::setOtherVariableOptionAttributes(), and setRandom().

OtherVarOption** OtherVariableOption::var

array of option values

Definition at line 1740 of file OSOption.h.

Referenced by VariableOption::addOther(), addVar(), IsEqual(), OtherVariableOption(), VariableOption::setOther(), OSOption::setOtherVariableOptionAttributes(), OSOption::setOtherVariableOptionVar(), setRandom(), setVar(), and ~OtherVariableOption().

OtherOptionEnumeration** OtherVariableOption::enumeration

Definition at line 1746 of file OSOption.h.

Referenced by VariableOption::addOther(), IsEqual(), OtherVariableOption(), VariableOption::setOther(), OSOption::setOtherOptionEnumeration(), OSOption::setOtherVariableOptionAttributes(), setRandom(), and ~OtherVariableOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp